org.apache.maven.scm.command.info

## Class InfoScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.info.InfoScmResult

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GitInfoScmResult, SvnInfoScmResult

    public class InfoScmResult
    extends ScmResult

Author:
  Kenney Westerhof, Olivier Lamy
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`InfoScmResult(List<InfoItem> infoItems, ScmResult result)`
`InfoScmResult(ScmResult result)`
`InfoScmResult(String commandLine, List<InfoItem> files)`
`InfoScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<InfoItem>` `getInfoItems()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InfoScmResult

    public InfoScmResult(String commandLine,
                         String providerMessage,
                         String commandOutput,
                         boolean success)

#### InfoScmResult

    public InfoScmResult(String commandLine,
                         List<InfoItem> files)

#### InfoScmResult

    public InfoScmResult(List<InfoItem> infoItems,
                         ScmResult result)

#### InfoScmResult

    public InfoScmResult(ScmResult result)

### Method Detail

#### getInfoItems

    public List<InfoItem> getInfoItems()